/* Media Queries for responsive design */
@media (min-width: 578px) and (max-width: 979px) {
  .container {
    padding: 0 20px;
  }
  .title {
    font-size: 35px;
  }
  /* header style */
  .header-content {
    padding: 1em;
  }

  .header-content h1 {
    font-size: 1.2em; /* Adjusted font size for smaller screens */
    margin-right: 0.5em; /* Reduced margin for smaller screens */
  }

  .header-content .header-phone p {
    font-size: 1em; /* Adjusted font size for smaller screens */
    margin-right: 0.5em; /* Reduced margin for smaller screens */
  }

  .header-address p {
    font-size: 0.8em;
  }
  /* header style  end*/

  /* hero style */
  .hero-content h1 {
    font-size: 3.5em;
  }

  .hero-content p {
    margin-top: 0.5em;
  }
  /* hero style end */

  /* learn about section  */
  .learn-about {
    margin-top: 100px;
  }
  .learn-heading {
    gap: 10px;
    align-items: center;
  }

  .learn-heading .learn-btn {
    display: flex;
    justify-content: center;
    font-size: 20px;
    font-weight: 600;
    padding: 8px 8px;
    width: 20%;
  }
  .cards-container {
    gap: 20px;
  }
  /* medical expert section style */
  .medical-experts-section {
    margin-top: 100px;
  }
  .doctor-details {
    bottom: 20px;
    padding: 0 30px;
  }

  /* local treatment */
  .local-treatment-head {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
  }
  .local-country {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    place-items: center;
  }
  /* bottom menu */
  .bottom-menu {
    gap: 10px;
  }
}

@media (max-width: 576px) {
  .container {
    padding: 18px;
  }
  .title {
    font-size: 25px;
    line-height: 30px;
  }
  .paragraph {
    line-height: 25px;
  }
  /* header style */
  .header-content {
    padding: 1em;
    flex-direction: column;
  }

  .header-content h1 {
    font-size: 1.1em;
    margin-right: 0.3em;
  }

  .header-content .header-phone p {
    font-size: 0.9em;
    margin-right: 0.3em;
  }
  .header-address {
    margin-top: 5px;
  }

  .header-address p {
    font-size: 3.125vw;
    line-height: 15px;
  }
  /* header style end  */

  /* hero style  */
  .hero-content h1 {
    font-size: 2.3em;
    line-height: 50px;
  }

  .hero-content p {
    font-size: 1em;
    margin-top: 0.3em;
  }
  .find-help-btn {
    margin-top: 40px;
  }
  /* hero style end */
  /* learn about section  */
  .learn-about {
    margin-top: 60px;
  }
  .cards-container {
    flex-direction: column;
  }

  .learn-heading .learn-btn {
    display: flex;
    justify-content: center;
    font-size: 16px;
    font-weight: 400;
    padding: 8px 8px;
    width: 33%;
  }
  .learn-about .learn-heading {
    display: flex;
    gap: 5px;
    align-items: center;
    justify-content: center;
  }
  /* medical expert section style */
  .medical-experts-section {
    margin-top: 80px;
  }

  .doctor-cards-container {
    margin-top: 50px;
    grid-template-columns: 1fr;
    gap: 30px;
  }
  .doctor-cards-container .doctor-card {
    height: 500px;
  }
  .doctor-details {
    bottom: 30px;
  }
  /* local treatment */
  .local-treatment {
    margin-top: 80px;
    padding: 40px 0px;
  }

  .local-treatment-head {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
  }
  .local-country {
    margin-top: 40px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
    place-items: center;
    text-align: left;
  }
  .treatment-head-image img {
    width: 100%;
  }
  /* faq section */
  .faq-section {
    margin-top: 80px;
  }
  .faq-main-container {
    flex-direction: column;
  }
  .faq-container {
    display: flex;
    flex-direction: column;
    width: 100%;
  }

  .faq {
    margin-bottom: 20px;
    border-bottom: 1px solid #ccddfb;
    padding: 10px 0px;
  }

  .question {
    cursor: pointer;
    padding: 5px 0px;
    border-radius: 5px;
    transition: background-color 0.3s ease;
    font-size: 24px;
    font-weight: 500;
  }

  .question:hover {
    background-color: #04112e;
  }

  .answer {
    max-height: 0;
    overflow: hidden;
    padding: 0px 0px;
    transition: max-height 0.3s ease;
    font-size: 16px;
    line-height: 24px;
  }

  .arrow-down {
    display: inline-block;
    margin-left: 5px;
  }

  .open .arrow-down {
    transform: rotate(180deg);
  }

  .open .answer {
    max-height: 1000px; /* Adjust as necessary */
  }

  /* bottom menu  */

  .bottom-menu {
    gap: 10px;
  }
  .bottom-header {
    display: none !important;
  }

  /* footer */

  footer {
    padding: 30px 0px;
  }

  .footer-link {
    display: flex;
    gap: 10px;
    align-items: center;
  }
}
